curl -X GET 'https://api.tolt.com/v1/partners/part_s7mbzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
curl -X GET 'https://api.tolt.com/v1/partners/part_s7mbzRGn46BhVgNFHD6fDgXW&expand[]=group&expand[]=program&include[]=stats' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
{
"success": true,
"data": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"group_id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"payout_method": "paypal",
"payout_details": {
"email": "michael.paypal@dundermifflin.com",
},
"country_code": "US",
"created_at": "2025-01-13T10:06:11.251Z",
"status": "active",
"custom_fields": []
}
}
{
"success": true,
"data": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"group_id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"payout_method": "paypal",
"payout_details": {
"email": "michael.paypal@dundermifflin.com",
},
"country_code": "US",
"created_at": "2025-01-13T10:06:11.251Z",
"group": {
"id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"name": "Dunder Mifflin Group",
"description": "Dunder Mifflin Group 20% off",
"created_at": "2024-11-25T15:24:26.846428+00:00",
"public_key": "dunder-mifflin-group",
"default": true
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"cookie_duration": 30,
"payout_methods": [
"none",
"crypto",
"wise",
"bank_transfer",
"wire",
"paypal"
],
"payout_term": "15",
"url_params": [
"aff",
"via"
],
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"stats": {
"total_clicks": 40,
"total_customers": 41,
"total_revenue": 522226,
"total_commission": 1741877,
"total_leads": 11,
"total_trial_customers": 0,
"total_paid_customers": 23,
"total_canceled_customers": 6
}
}
}
Partners
Retrieve Partner
This endpoint retrieves a partner.
GET
/
v1
/
partners
/
:id
curl -X GET 'https://api.tolt.com/v1/partners/part_s7mbzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
curl -X GET 'https://api.tolt.com/v1/partners/part_s7mbzRGn46BhVgNFHD6fDgXW&expand[]=group&expand[]=program&include[]=stats' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
{
"success": true,
"data": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"group_id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"payout_method": "paypal",
"payout_details": {
"email": "michael.paypal@dundermifflin.com",
},
"country_code": "US",
"created_at": "2025-01-13T10:06:11.251Z",
"status": "active",
"custom_fields": []
}
}
{
"success": true,
"data": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"group_id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"payout_method": "paypal",
"payout_details": {
"email": "michael.paypal@dundermifflin.com",
},
"country_code": "US",
"created_at": "2025-01-13T10:06:11.251Z",
"group": {
"id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"name": "Dunder Mifflin Group",
"description": "Dunder Mifflin Group 20% off",
"created_at": "2024-11-25T15:24:26.846428+00:00",
"public_key": "dunder-mifflin-group",
"default": true
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"cookie_duration": 30,
"payout_methods": [
"none",
"crypto",
"wise",
"bank_transfer",
"wire",
"paypal"
],
"payout_term": "15",
"url_params": [
"aff",
"via"
],
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"stats": {
"total_clicks": 40,
"total_customers": 41,
"total_revenue": 522226,
"total_commission": 1741877,
"total_leads": 11,
"total_trial_customers": 0,
"total_paid_customers": 23,
"total_canceled_customers": 6
}
}
}
Base URL https://api.tolt.com
Query Parameters
array - optional
Specify which related objects to include in the response. Valid values are
‘group’ and ‘program’. Use expand[]=group or expand[]=program
to include the related objects.
array - optional
Specify which related objects to include in the response. Valid values are
‘stats’. Use include[]=stats to include the related objects.
Response
string
Unique identifier for the partner,
uuid or prefixed with part_.string
Partner’s first name
string
Partner’s last name
string
Partner’s email address
string
Partner’s company name
string
Unique identifier for the program the partner belongs to,
uuid or prefixed
with prg_.string
Unique identifier for the organization,
uuid or prefixed with org_.string
Unique identifier for the partner’s group,
uuid or prefixed with grp_.string
Partner’s selected payout method (e.g., ‘paypal’, ‘crypto’, ‘wise’,
‘bank_transfer’, ‘wire’, ‘none’)
object
Details specific to the selected payout method (e.g., PayPal email, bank
details)
string
Two-letter ISO country code of the partner
string
ISO 8601 timestamp of when the partner was created
string
Current status of the partner (e.g., ‘active’, ‘pending’, ‘suspended’,
‘rejected’)
array
Answers submitted by the partner during sign-up.
object
object
Show program
Show program
Program details when expanded:
string
Unique identifier for the program
string
Program status
string
Program name
string
Name of the product
string
Program’s subdomain
string
Program type (e.g., ‘public’)
string
Three-letter ISO currency code
integer
Duration of tracking cookies in days
array
Available payout methods
string
Payment terms in days
array
Supported URL parameters for tracking
string
ISO 8601 timestamp of when the program was created
object
Show stats
Show stats
An object containing the partner’s performance statistics. All monetary
values are in cents (or lowest denomination of the currency).
integer
Total number of clicks on partner’s referral links
integer
Total number of customers referred
integer
Total revenue generated in cents
integer
Total commission earned in cents
integer
Total number of leads generated
integer
Total number of trial customers
integer
Total number of paid customers
integer
Total number of customers who canceled
curl -X GET 'https://api.tolt.com/v1/partners/part_s7mbzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
curl -X GET 'https://api.tolt.com/v1/partners/part_s7mbzRGn46BhVgNFHD6fDgXW&expand[]=group&expand[]=program&include[]=stats' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
{
"success": true,
"data": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"group_id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"payout_method": "paypal",
"payout_details": {
"email": "michael.paypal@dundermifflin.com",
},
"country_code": "US",
"created_at": "2025-01-13T10:06:11.251Z",
"status": "active",
"custom_fields": []
}
}
{
"success": true,
"data": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"group_id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"payout_method": "paypal",
"payout_details": {
"email": "michael.paypal@dundermifflin.com",
},
"country_code": "US",
"created_at": "2025-01-13T10:06:11.251Z",
"group": {
"id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"name": "Dunder Mifflin Group",
"description": "Dunder Mifflin Group 20% off",
"created_at": "2024-11-25T15:24:26.846428+00:00",
"public_key": "dunder-mifflin-group",
"default": true
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"cookie_duration": 30,
"payout_methods": [
"none",
"crypto",
"wise",
"bank_transfer",
"wire",
"paypal"
],
"payout_term": "15",
"url_params": [
"aff",
"via"
],
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"stats": {
"total_clicks": 40,
"total_customers": 41,
"total_revenue": 522226,
"total_commission": 1741877,
"total_leads": 11,
"total_trial_customers": 0,
"total_paid_customers": 23,
"total_canceled_customers": 6
}
}
}
⌘I

